/*****************************************************************************************************/
/*                                             WPGetMyIP                                             */
/*                     by Peter Lueersen <Peter.Lueersen@warp-ecs-owl.de>                            */
/*                                              V 1.0.1                                              */
/*****************************************************************************************************/
/* This program is free software                                                                     */
/* you can redistribute it and/or modify it under the terms of the GNU General Public License        */
/* as published by the Free Software Foundation; either version 2 of the License,                    */
/* or (at your option) any later version.                                                            */
/*                                                                                                   */
/* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY          */
/* without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.         */
/* See the GNU General Public License for more details.                                              */
/*                                                                                                   */
/* You should have received a copy of the GNU General Public License along with this program         */  
/* if not, write to the                                                                              */
/* Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.           */  
/*****************************************************************************************************/
/*- Modification History                                                                            -*/
/*-                                                                                                 -*/
/*-   VERSION        DATE         AUTHOR                                                            -*/
/*-                                                                                                 -*/
/*-   V1.0.1        19.04.2006    Peter Lueersen                                                    -*/
/*-     New Bugreport                                                                               -*/
/*-     New Show GetMyIP-Version                                                                    -*/
/*-   V1.0.0        08.04.2006    Peter Lueersen                                                    -*/
/*-   	First version of the code.                                                                  -*/
/*-                                                                                                 -*/
/*---------------------------------------------------------------------------------------------------*/

signal on syntax name error
parse source . . ScriptFile
inst_drive = filespec("D", ScriptFile)
inst_path = filespec("P", scriptfile)
installpath=inst_drive||inst_path
Globalsver = '1.0.1'
crlf = "0d0a"x

/* init RexxUtil */
if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

call SysCls
SAY "WPGetMyIP     Ver.: " || Globalsver || " by Peter Lueersen 2006"  
SAY "            Peter@WARP-ECS-OWL.DE"
SAY "                    USE: "
 /*Get Version from GeiMyIP.EXE*/
 "@GetMyIP /V | RXQUEUE"
 pull objecttext
SAY objecttext 
SAY " "
SAY " "

GetMyIPicon=installpath||"GetMyIP.ICO"
object_id="<WP_GETMYIP>"

 /*Get IP with GeiMyIP.EXE*/
 "@GetMyIP | RXQUEUE"
 pull objecttext
 pulltime = Time()
 SAY objecttext || ' @ ' || pulltime || ' ' || Date()   
 objecttext = objecttext || crlf || pulltime || crlf || Date()
 /* create or upgrade object */
 RC=SysCreateObject('WPProgram',objecttext,'<WP_DESKTOP>','OBJECTID='||object_id||';EXENAME='||ScriptFile||';TITLE='||ObjectText||';ICONFILE='||GetMyIPicon||';PARAMETERS=ALL5M;MINIMIZED=YES;','Update')
exit

/*----------------------------------------------------------------------------*/
/* If Error :(( then show                                                     */
/*----------------------------------------------------------------------------*/
Error:
        say crlf
        say '-Hoops-'||crlf
        say 'Send this bugreport to :'
        say 'Peter@warp-ecs-owl.de      Subject: WPGetMyIP Error'
        say ''||crlf
        say 'Version......: ' || Globalsver
        say 'Linenumber...: ' || sigl
        say 'Linetext.....: ' || sourceline(sigl)
        say 'Errorcode....: ' || rc
        say 'Errortext....: ' || errortext(rc)
        say 'Options......: ' || ARG(1)
        say ''||crlf
exit
